<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: include/gui/Label.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_48c1f94cd2ae07e13fa9a9f16a1d541c.html">gui</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">Label.hpp</div></div>
</div><!--header-->
<div class="contents">
<a href="Label_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#pragma once</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="preprocessor">#include &quot;<a class="code" href="SceneNode_8hpp.html">SceneNode.hpp</a>&quot;</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span> </div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="preprocessor">#include &lt;SFML/Graphics/Text.hpp&gt;</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span> </div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="keyword">namespace </span><a class="code hl_namespace" href="namespacegg.html">gg</a></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>{</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="classgg_1_1Label.html">    9</a></span><span class="keyword">class </span><a class="code hl_class" href="classgg_1_1Label.html">Label</a> : <span class="keyword">public</span> <a class="code hl_class" href="classgg_1_1SceneNode.html">SceneNode</a></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>{</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>  <span class="keyword">public</span>:</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="classgg_1_1Label.html#a9f4bb60cb938613a9a38e71526767982">   12</a></span>    <a class="code hl_function" href="classgg_1_1Label.html#a9f4bb60cb938613a9a38e71526767982">Label</a>(<span class="keyword">const</span> <a class="code hl_class" href="classgg_1_1Attributes.html">Attributes</a> &amp;);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="classgg_1_1Label.html#a64f24b49471829e00bd18725a38a5bc9">   13</a></span>    <a class="code hl_function" href="classgg_1_1Label.html#a64f24b49471829e00bd18725a38a5bc9">~Label</a>() <span class="keyword">override</span> = <span class="keywordflow">default</span>;</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span> </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="classgg_1_1Label.html#a88d395619835759536df2238344423fd">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Label.html#a88d395619835759536df2238344423fd">SetText</a>(<span class="keyword">const</span> std::string &amp;);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="classgg_1_1Label.html#ab20d6492a0a350697ba808fbc49247b0">   16</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Label.html#ab20d6492a0a350697ba808fbc49247b0">SetFontName</a>(<span class="keyword">const</span> std::string &amp;);</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="classgg_1_1Label.html#ae88db8185bbe333f73a1e1c5065f1027">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Label.html#ae88db8185bbe333f73a1e1c5065f1027">SetFontSize</a>(<span class="keyword">const</span> <span class="keywordtype">unsigned</span>);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="classgg_1_1Label.html#a5aed800b62e10e63f2147e61bc5a038e">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Label.html#a5aed800b62e10e63f2147e61bc5a038e">SetColor</a>(<span class="keyword">const</span> sf::Color &amp;);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span> </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="classgg_1_1Label.html#ad751d0364a2c99c50e7c97fd7947f9ea">   20</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Label.html#ad751d0364a2c99c50e7c97fd7947f9ea">UpdateSize</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="classgg_1_1Label.html#ab5f1d272e1de6cabfba99ae09f507afd">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Label.html#ab5f1d272e1de6cabfba99ae09f507afd">Render</a>(sf::RenderTarget &amp;, sf::RenderStates) <span class="keyword">const override</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>  <span class="keyword">protected</span>:</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="classgg_1_1Label.html#aaea3988222b1dc502cf3ff9b0ac17012">   24</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Label.html#aaea3988222b1dc502cf3ff9b0ac17012">ApplyStyle</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="classgg_1_1Label.html#ad194badcec49b45ba07666fcdaffcd58">   25</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="classgg_1_1Label.html#ad194badcec49b45ba07666fcdaffcd58">ApplyDesign</a>() <span class="keyword">override</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span> </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="keywordtype">void</span> draw(sf::RenderTarget &amp;, sf::RenderStates) <span class="keyword">const override</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    <span class="keywordtype">void</span> CalculateSize();</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>  <span class="keyword">private</span>:</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    sf::Text mText;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    std::string mFontname;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    sf::Color mColor;</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>};</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>}; <span class="comment">// namespace gg</span></div>
<div class="ttc" id="aSceneNode_8hpp_html"><div class="ttname"><a href="SceneNode_8hpp.html">SceneNode.hpp</a></div></div>
<div class="ttc" id="aclassgg_1_1Attributes_html"><div class="ttname"><a href="classgg_1_1Attributes.html">gg::Attributes</a></div><div class="ttdef"><b>Definition:</b> Attributes.hpp:14</div></div>
<div class="ttc" id="aclassgg_1_1Label_html"><div class="ttname"><a href="classgg_1_1Label.html">gg::Label</a></div><div class="ttdef"><b>Definition:</b> Label.hpp:10</div></div>
<div class="ttc" id="aclassgg_1_1Label_html_a5aed800b62e10e63f2147e61bc5a038e"><div class="ttname"><a href="classgg_1_1Label.html#a5aed800b62e10e63f2147e61bc5a038e">gg::Label::SetColor</a></div><div class="ttdeci">void SetColor(const sf::Color &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Label_html_a64f24b49471829e00bd18725a38a5bc9"><div class="ttname"><a href="classgg_1_1Label.html#a64f24b49471829e00bd18725a38a5bc9">gg::Label::~Label</a></div><div class="ttdeci">~Label() override=default</div></div>
<div class="ttc" id="aclassgg_1_1Label_html_a88d395619835759536df2238344423fd"><div class="ttname"><a href="classgg_1_1Label.html#a88d395619835759536df2238344423fd">gg::Label::SetText</a></div><div class="ttdeci">void SetText(const std::string &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Label_html_a9f4bb60cb938613a9a38e71526767982"><div class="ttname"><a href="classgg_1_1Label.html#a9f4bb60cb938613a9a38e71526767982">gg::Label::Label</a></div><div class="ttdeci">Label(const Attributes &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Label_html_aaea3988222b1dc502cf3ff9b0ac17012"><div class="ttname"><a href="classgg_1_1Label.html#aaea3988222b1dc502cf3ff9b0ac17012">gg::Label::ApplyStyle</a></div><div class="ttdeci">void ApplyStyle() override</div></div>
<div class="ttc" id="aclassgg_1_1Label_html_ab20d6492a0a350697ba808fbc49247b0"><div class="ttname"><a href="classgg_1_1Label.html#ab20d6492a0a350697ba808fbc49247b0">gg::Label::SetFontName</a></div><div class="ttdeci">void SetFontName(const std::string &amp;)</div></div>
<div class="ttc" id="aclassgg_1_1Label_html_ab5f1d272e1de6cabfba99ae09f507afd"><div class="ttname"><a href="classgg_1_1Label.html#ab5f1d272e1de6cabfba99ae09f507afd">gg::Label::Render</a></div><div class="ttdeci">void Render(sf::RenderTarget &amp;, sf::RenderStates) const override</div></div>
<div class="ttc" id="aclassgg_1_1Label_html_ad194badcec49b45ba07666fcdaffcd58"><div class="ttname"><a href="classgg_1_1Label.html#ad194badcec49b45ba07666fcdaffcd58">gg::Label::ApplyDesign</a></div><div class="ttdeci">void ApplyDesign() override</div></div>
<div class="ttc" id="aclassgg_1_1Label_html_ad751d0364a2c99c50e7c97fd7947f9ea"><div class="ttname"><a href="classgg_1_1Label.html#ad751d0364a2c99c50e7c97fd7947f9ea">gg::Label::UpdateSize</a></div><div class="ttdeci">void UpdateSize() override</div></div>
<div class="ttc" id="aclassgg_1_1Label_html_ae88db8185bbe333f73a1e1c5065f1027"><div class="ttname"><a href="classgg_1_1Label.html#ae88db8185bbe333f73a1e1c5065f1027">gg::Label::SetFontSize</a></div><div class="ttdeci">void SetFontSize(const unsigned)</div></div>
<div class="ttc" id="aclassgg_1_1SceneNode_html"><div class="ttname"><a href="classgg_1_1SceneNode.html">gg::SceneNode</a></div><div class="ttdef"><b>Definition:</b> SceneNode.hpp:18</div></div>
<div class="ttc" id="anamespacegg_html"><div class="ttname"><a href="namespacegg.html">gg</a></div><div class="ttdef"><b>Definition:</b> Application.hpp:22</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
